#pragma once

typedef float tmxMatrix[4][4];

void tmx2gl(tmxMatrix mx);
void tmxMulMxVec(tmxMatrix mx, t3DVector vecsrc, t3DVector &vecdest);
void tmxCpyMx(tmxMatrix source, tmxMatrix &dest);
void tmxMulMx(tmxMatrix m1, tmxMatrix m2, tmxMatrix &dest);
void tmxIdentity(tmxMatrix &mx);
void tmxTranslate(tmxMatrix &mx, float tx, float ty, float tz);
void tmxScale(tmxMatrix &mx, float sx, float sy, float sz);
void tmxRotate(tmxMatrix &mx, float rx, float ry, float rz);